' Fig. 6.8: Interest.vb
' Calculating compound interest.
Imports System.Windows.Forms

Module Interest
   Sub Main()
      Dim amount As Decimal ' dollar amounts on deposit  
      Dim principal As Decimal = 1000.0 ' amount invested
      Dim rate As Double = 0.05 ' interest rate

      ' amount after each year
      Dim output As String = "Year" & vbTab & "Amount on deposit" & vbCrLf

      ' calculate amount after each year                                 
      For year As Integer = 1 To 10
         amount = principal * (1 + rate) ^ year
         output &= _
            (year & vbTab & String.Format("{0:C}", amount) & vbCrLf)
      Next

      ' display output
      MessageBox.Show(output, "Compound Interest", _
         MessageBoxButtons.OK, MessageBoxIcon.Information)
   End Sub ' Main
End Module ' Interest


' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************