' Fig. 8.19: ParamArrayTest.vb
' Using ParamArray to create variable-length parameter lists.
Module ParamArrayTest
   Sub Main()
      AnyNumberOfArguments()
      AnyNumberOfArguments(2, 3)
      AnyNumberOfArguments(7, 8, 9, 10, 11, 12)
   End Sub ' Main

   ' receives any number of arguments in array
   Sub AnyNumberOfArguments(ByVal ParamArray array1 As Integer())
      Dim total As Integer = 0

      ' check number of arguments
      If array1.Length = 0 Then
         Console.WriteLine("Method AnyNumberOfArguments" & _
            " received 0 arguments.")
      Else
         Console.Write("The total of ")

         ' total array elements
         For i As Integer = 0 To array1.GetUpperBound(0)
            Console.Write(array1(i) & " ")
            total += array1(i)
         Next

         Console.WriteLine("is {0}.", total)
      End If
   End Sub ' AnyNumberOfArguments
End Module ' ParamArrayTest



' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************