﻿' Fig. 10.5: CommissionEmployeeTest.vb
' Testing class CommissionEmployee.
Module CommissionEmployeeTest
   Sub Main()
      ' instantiate CommissionEmployee object
      Dim employee As New CommissionEmployee( _
         "Sue", "Jones", "222-22-2222", 10000, 0.06D)

      ' get commission employee data
      Console.WriteLine("Employee information obtained by properties:" _
         & vbCrLf & "First name is " & employee.FirstName & vbCrLf & _
         "Last name is " & employee.LastName & vbCrLf & _
         "Social Security Number is " & employee.SocialSecurityNumber)
      Console.WriteLine("Gross sales is {0:C}", employee.GrossSales)
      Console.WriteLine("Commission rate is {0:F}", _
         employee.CommissionRate)

      employee.GrossSales = 500 ' set gross sales
      employee.CommissionRate = 0.1D ' set commission rate to 10%

      ' get new employee information
      Console.WriteLine(vbCrLf & _
         "Updated employee information obtained by ToString: " & _
         vbCrLf & employee.ToString() & vbCrLf)

      ' display the employee's earnings
      Console.WriteLine("Employee's earnings: {0:C}", _
         employee.CalculateEarnings())
   End Sub ' Main
End Module ' CommissionEmployeeTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************