' Fig. 15.14: frmGUIThreads.vb
' Demonstrates using threads in a GUI
Imports System.Threading

Public Class frmGUIThreads
   Private letter1 As RandomLetters ' first randomLetters object
   Private letter2 As RandomLetters ' second randomLetters object
   Private letter3 As RandomLetters ' third randomLetters object

   Private Sub frmGUIThreads_Load(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles MyBase.Load

      ' create first thread
      letter1 = New RandomLetters(lblThread1)
      Dim firstThread As New Thread(New ThreadStart( _
         AddressOf letter1.Run))
      firstThread.Name = "Thread 1"
      firstThread.Start()

      ' create second thread
      letter2 = New RandomLetters(lblTread2)
      Dim secondThread As New Thread(New ThreadStart( _
         AddressOf letter2.Run))
      secondThread.Name = "Thread 2"
      secondThread.Start()

      ' create third thread
      letter3 = New RandomLetters(lblThread3)
      Dim thirdThread As New Thread(New ThreadStart( _
         AddressOf letter3.Run))
      thirdThread.Name = "Thread 3"
      thirdThread.Start()
   End Sub ' frmGUIThreads_Load

   ' close all threads associated with this application
   Private Sub frmGUIThreads_FormClosing(ByVal sender As System.Object, _
      ByVal e As System.Windows.Forms.FormClosingEventArgs) _
      Handles MyBase.FormClosing
      System.Environment.Exit(System.Environment.ExitCode)
   End Sub ' frmGUIThreads_FormClosing

   Private Sub chkThread_CheckedChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles chkThread1.CheckedChanged, _
      chkThread3.CheckedChanged, chkThread2.CheckedChanged
      If sender.Equals(chkThread1) Then
         letter1.Toggle()
      ElseIf sender.Equals(chkThread2) Then
         letter2.Toggle()
      ElseIf sender.Equals(chkThread3) Then
         letter3.Toggle()
      End If
   End Sub ' chkThread_CheckedChanged
End Class ' frmGUIThreads

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************