' Fig. 17.7: FrmShowColorsComplex.vb
' ColorDialog used to change background and text color.
Public Class FrmShowColorsComplex
   ' create ColorDialog object
   Private Shared colorChooser As New ColorDialog()

   ' change background color
   Private Sub btnBackgroundColor_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnBackgroundColor.Click
      ' show ColorDialog and get result
      colorChooser.FullOpen = True
      Dim result As DialogResult = colorChooser.ShowDialog()

      If result = Windows.Forms.DialogResult.OK Then
         Me.BackColor = colorChooser.Color ' set background color
      End If
   End Sub ' btnBackgroundColor_Click

   ' change text color
   Private Sub btnTextColor_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnTextColor.Click
      ' get chosen color
      Dim result As DialogResult = colorChooser.ShowDialog()

      If result = Windows.Forms.DialogResult.OK Then
         ' assign forecolor to result of dialog
         btnBackgroundColor.ForeColor = colorChooser.Color
         btnTextColor.ForeColor = colorChooser.Color
      End If
   End Sub ' btnTextColor_Click
End Class ' FrmShowColorsComplex

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
