' Fig. 24.17: QueueTest.vb
' Testing class QueueInheritance.
Imports QueueInheritanceLibrary
Imports LinkedListLibrary

' demonstrate functionality of class QueueInheritance
Module QueueTest
   Sub Main()
      Dim queue As New QueueInheritance()

      ' create objects to store in the stack
      Dim aBoolean As Boolean = True
      Dim aCharacter As Char = "$"c
      Dim anInteger As Integer = 34567
      Dim aString As String = "hello"

      ' use method Enqueue to add items to queue
      queue.Enqueue(aBoolean)
      queue.Print()
      queue.Enqueue(aCharacter)
      queue.Print()
      queue.Enqueue(anInteger)
      queue.Print()
      queue.Enqueue(aString)
      queue.Print()

      ' use method Dequeue to remove items from queue
      Dim removedObject As Object = Nothing

      ' remove items from queue
      Try
         While True
            removedObject = queue.Dequeue()
            Console.WriteLine(removedObject & " dequeued")
            queue.Print()
         End While
      Catch exception As EmptyListException
         ' if exception occurs, print stack trace
         Console.Error.WriteLine(exception.StackTrace)
      End Try
   End Sub ' Main
End Module ' QueueTest


'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************