' Fig. 4.8: GradeBookTest.vb
' Create and manipulate a GradeBook object.
Module GradeBookTest
   ' Main begins program execution
   Sub Main()
      ' line 8 creates a GradeBook object that is referenced by 
      ' variable gradeBook of type GradeBook
      Dim gradeBook As New GradeBook

      ' display initial value of property CourseName (invokes Get)
      Console.WriteLine( _
         "Initial course name is: " & gradeBook.CourseName & vbCrLf)

      ' prompt for course name
      Console.WriteLine("Please enter the course name:")

      ' read course name
      Dim theName As String = Console.ReadLine()

      gradeBook.CourseName = theName ' set the CourseName (invokes Set)
      Console.WriteLine() ' output a blank line

      ' display welcome message including the course name (invokes Get)
      gradeBook.DisplayMessage()
   End Sub ' Mains
End Module ' GradeBookTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************