' Fig. 4.12: GradeBook.vb
' GradeBook class with a constructor to initialize the course name.
Public Class GradeBook
   Private courseNameValue As String ' course name for this GradeBook

   ' constructor initializes course name with String supplied as argument
   Public Sub New(ByVal name As String)
      CourseName = name ' initialize courseNameValue via property
   End Sub ' New

   ' property CourseName
   Public Property CourseName() As String
      Get ' retrieve courseNameValue
         Return courseNameValue
      End Get

      Set(ByVal value As String) ' set courseNameValue
         courseNameValue = value ' store the course name in the object
      End Set
   End Property ' CourseName

   ' display a welcome message to the GradeBook user
   Public Sub DisplayMessage()
      ' use property CourseName to display the
      ' name of the course this GradeBook represents
      Console.WriteLine("Welcome to the grade book for " _
          & vbCrLf & CourseName & "!")
   End Sub ' DisplayMessage
End Class ' GradeBook

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************