' Fig. 9.2: FrmTimeTest.vb
' Demonstrates Properties.
Public Class FrmTimeTest
   Dim time As New Time() ' construct Time with zero arguments

   ' invoked when user clicks the Add 1 to Second button
   Private Sub btnAddSecond_Click(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles btnAddSecond.Click
      time.Second = (time.Second + 1) Mod 60 ' add 1 to Second
      txtSetSecond.Text = time.Second

      ' add one minute if 60 seconds have passed
      If time.Second = 0 Then
         time.Minute = (time.Minute + 1) Mod 60 ' add 1 to Minute
         txtSetMinute.Text = time.Minute

         ' add one hour if 60 minutes have passed
         If time.Minute = 0 Then
            time.Hour = (time.Hour + 1) Mod 24 ' add 1 to Hour
            txtSetHour.Text = time.Hour
         End If
      End If

      UpdateDisplay() ' update the text in lblOutput1 and lblOutput2
   End Sub ' btnAddSecond_Click

   ' handle event when txtSetHour's text changes
   Private Sub txtSetHour_TextChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles txtSetHour.TextChanged
      time.Hour = txtSetHour.Text
      UpdateDisplay() ' update the text in lblOutput1 and lblOutput2
   End Sub ' txtSetHour_TextChanged

   ' handle event when txtSetMinute's text changes
   Private Sub txtSetMinute_TextChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles txtSetMinute.TextChanged
      time.Minute = txtSetMinute.Text
      UpdateDisplay() ' update the text in lblOutput1 and lblOutput2
   End Sub ' txtSetMinute_TextChanged

   ' handle event when txtSetSecond's text changes
   Private Sub txtSetSecond_TextChanged(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles txtSetSecond.TextChanged
      time.Second = txtSetSecond.Text
      UpdateDisplay() ' update the text in lblOutput1 and lblOutput2
   End Sub ' txtSetSecond_Textchanged

   ' update time display
   Private Sub UpdateDisplay()
      txtSetHour.Text = time.Hour
      txtSetMinute.Text = time.Minute
      txtSetSecond.Text = time.Second
      lblOutput1.Text = ("Hour: " & time.Hour & "; Minute: " & _
         time.Minute & "; Second: " & time.Second)
      lblOutput2.Text = ("Standard time is: " & time.ToString() & _
         "; Universal Time is: " & time.ToUniversalString())
   End Sub ' UpdateDisplay
End Class ' FrmTimeTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************