' Fig. 9.4: TimeTest.vb
' Overloading constructors.
Module TimeTest
   Sub Main()
      ' use overloaded constructors
      Dim time1 As New Time() ' constructor with zero parameters     
      Dim time2 As New Time(2) ' constructor with one parameter      
      Dim time3 As New Time(21, 34) ' constructor with two parameters
      Dim time4 As New Time(12, 25, 42) ' three valid arguments
      Dim time5 As New Time(27, 74, 99) ' three invalid arguments
      Dim time6 As New Time(time4) ' copy another Time object

      ' invoke time1 methods
      Console.WriteLine("Constructed with: " & vbCrLf & _
         "time1: all arguments defaulted" & vbCrLf & vbTab & _
         time1.ToUniversalString() & vbCrLf & vbTab & _
         time1.ToString())
      ' invoke time2 methods
      Console.WriteLine( _
         "time2: hour specified; minute and second defaulted" & _
         vbCrLf & vbTab & time2.ToUniversalString() & _
         vbCrLf & vbTab & time2.ToString())
      ' invoke time3 methods
      Console.WriteLine( _
         "time3: hour and minute specified; second defaulted" & _
         vbCrLf & vbTab & time3.ToUniversalString() & _
         vbCrLf & vbTab & time3.ToString())
      ' invoke time4 methods
      Console.WriteLine("time4: hour, minute and second specified" & _
         vbCrLf & vbTab & time4.ToUniversalString() & _
         vbCrLf & vbTab & time4.ToString())
      ' invoke time5 methods
      Console.WriteLine( _
         "time5: invalid hour, minute and second specified" & _
         vbCrLf & vbTab & time5.ToUniversalString() & _
         vbCrLf & vbTab & time5.ToString())
      ' invoke time6 methods
      Console.WriteLine("time6: Time object copied from time4" & _
         vbCrLf & vbTab & time6.ToUniversalString() & _
         vbCrLf & vbTab & time6.ToString())
   End Sub ' Main
End Module ' TimeTest

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************