' Fig. 9.8: Time.vb
' Encapsulate time using Me reference.
Class Time
   Private hour As Integer
   Private minute As Integer
   Private second As Integer

   ' Time constructor
   Public Sub New(ByVal hour As Integer, _
      ByVal minute As Integer, ByVal second As Integer)
      Me.hour = hour ' set instance variable to parameter
      Me.minute = minute ' set instance variable to parameter
      Me.second = second ' set instance variable to parameter
   End Sub ' New

   ' create String using Me explicitly then implicitly
   Public Function BuildString() As String
      Return "Me.ToUniversalString(): " & Me.ToUniversalString() _
         & vbCrLf & "ToUniversalString(): " & ToUniversalString()
   End Function ' BuildString

   ' convert to String in universal-time format
   Public Function ToUniversalString() As String
      Return String.Format("{0:D2}:{1:D2}:{2:D2}", hour, minute, second)
   End Function ' ToUniversalString
End Class ' Time

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************