' Fig 13.38: FrmPainter.vb
' Using the mouse to draw on a Form.
Public Class FrmPainter
   Private shouldPaint As Boolean = False ' determines whether to paint

   ' should paint when mouse button is pressed down
   Private Sub FrmPainter_MouseDown(ByVal sender As System.Object, _
      ByVal e As System.Windows.Forms.MouseEventArgs) _
      Handles MyBase.MouseDown
      shouldPaint = True
   End Sub ' FrmPainter_MouseDown

   ' stop painting when mouse button is released
   Private Sub FrmPainter_MouseUp(ByVal sender As System.Object, _
      ByVal e As System.Windows.Forms.MouseEventArgs) _
      Handles MyBase.MouseUp
      shouldPaint = False
   End Sub ' FrmPainter_MouseUp

   ' draw circle whenever mouse moves with its button held down        
   Private Sub FrmPainter_MouseMove(ByVal sender As System.Object, _
      ByVal e As System.Windows.Forms.MouseEventArgs) _
      Handles MyBase.MouseMove
      ' check if mouse button is being pressed
      If (shouldPaint) Then
         ' draw a circle where the mouse pointer is present
         Dim g As Graphics = CreateGraphics()
         g.FillEllipse( _
            New SolidBrush(Color.BlueViolet), e.X, e.Y, 4, 4)
         g.Dispose()
      End If
   End Sub ' FrmPainter_MouseMove
End Class ' FrmPainter

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************