' Fig. 13.40: FrmKeyDemo.vb
' Displaying information about the key the user pressed.
Public Class FrmKeyDemo

   ' display the character pressed using KeyChar
   Private Sub FrmKeyDemo_KeyPress(ByVal sender As System.Object, _
      ByVal e As System.Windows.Forms.KeyPressEventArgs) _
      Handles MyBase.KeyPress

      lblChar.Text = "Key pressed: " & e.KeyChar
   End Sub ' FrmKeyDemo_KeyPress

   ' display modifier keys, key code, key data and key value
   Private Sub FrmKeyDemo_KeyDown(ByVal sender As System.Object, _
      ByVal e As System.Windows.Forms.KeyEventArgs) _
      Handles MyBase.KeyDown

      If e.Alt Then ' key is Alt
         lblKeyInfo.Text = "Alt: Yes" & vbCrLf
      Else ' key is not Alt
         lblKeyInfo.Text = "Alt: No" & vbCrLf
      End If

      If e.Shift Then ' key is Shift
         lblKeyInfo.Text &= "Shift: Yes" & vbCrLf
      Else ' key is not Shift
         lblKeyInfo.Text &= "Shift: No" & vbCrLf
      End If

      If e.Control Then ' key is Control
         lblKeyInfo.Text &= "Control: Yes" & vbCrLf
      Else ' key is not Control
         lblKeyInfo.Text &= "Control: No" & vbCrLf
      End If

      ' diplay key code, key data and key value
      lblKeyInfo.Text &= "KeyCode: " & e.KeyCode.ToString() & vbCrLf & _
         "KeyData: " & e.KeyData.ToString() & vbCrLf & _
         "KeyValue: " & e.KeyValue.ToString()
   End Sub ' FrmKeyDemo_KeyDown

   ' clear Labels when keys are released
   Private Sub FrmKeyDemo_KeyUp(ByVal sender As System.Object, _
      ByVal e As System.Windows.Forms.KeyEventArgs) Handles MyBase.KeyUp

      lblChar.Text = ""
      lblKeyInfo.Text = ""
   End Sub ' FrmKeyDemo_KeyUp
End Class ' FrmKeyDemo


' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************
