' Fig. 14.43: FrmUsingMDI.vb
' MDI parent and child windows.
Public Class FrmUsingMDI
   ' create Child 1 window when child1ToolStripMenuItem is clicked
   Private Sub child1ToolStripMenuItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles child1ToolStripMenuItem.Click
      ' create new child
      Dim child As New FrmChild("Child 1", "\images\vcsharphtp2_238h.jpg")
      child.MdiParent = Me ' set parent
      child.Show() ' display child
   End Sub ' child1ToolStripMenuItem_Click

   ' create Child 2 window when child2ToolStripMenuItem is clicked
   Private Sub child2ToolStripMenuItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles child2ToolStripMenuItem.Click
      ' create new child
      Dim child As New FrmChild("Child 2", "\images\vcsharpfp2_238h.jpg")
      child.MdiParent = Me ' set parent
      child.Show() ' display child
   End Sub ' child2ToolStripMenuItem_Click

   ' create Child 3 window when child3ToolStripMenuItem is clicked
   Private Sub child3ToolStripMenuItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles child3ToolStripMenuItem.Click
      ' create new child
      Dim child As New FrmChild("Child 3", "\images\vbhtp3_238h.jpg")
      child.MdiParent = Me ' set parent
      child.Show() ' display child
   End Sub ' child3ToolStripMenuItem_Click

   ' exit application
   Private Sub exitToolStripMenuItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles exitToolStripMenuItem.Click

      Application.Exit()
   End Sub ' exitToolStripMenuItem_Click

   ' set Cascade layout
   Private Sub cascadeToolStripMenuItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles cascadeToolStripMenuItem.Click

      Me.LayoutMdi(MdiLayout.Cascade)
   End Sub ' cascadeToolStripMenuItem_Click

   ' set TileHorizontal layout
   Private Sub tileHorizontalToolStripMenuItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles tileHorizontalToolStripMenuItem.Click

      Me.LayoutMdi(MdiLayout.TileHorizontal)
   End Sub ' tileHorizontalToolStripMenuItem_Click

   ' set TileVertical layout
   Private Sub tileVerticalToolStripMenuItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles tileVerticalToolStripMenuItem.Click

      Me.LayoutMdi(MdiLayout.TileVertical)
   End Sub ' tileVerticalToolStripMenuItem_Click
End Class ' FrmUsingMDI

' **************************************************************************
' * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************


