' Fig. 17.24: FrmLogoAnimator.vb
' Program that animates a series of images.
Public Class FrmLogoAnimator
   Private images(29) As Image
   Private count As Integer = -1

   ' load images
   Private Sub FrmLogoAnimator_Load(ByVal sender As Object, _
      ByVal e As System.EventArgs) Handles Me.Load

      For i As Integer = 0 To images.Length - 1
         images(i) = Image.FromFile("images\deitel" & i & ".gif")
      Next

      picLogo.Image = images(0) ' display first image

      ' set PictureBox to be the same size as Image
      picLogo.Size = picLogo.Image.Size
   End Sub ' FrmLogoAnimator_Load

   ' display new image every 50 milliseconds
   Private Sub timer_Tick(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles timer.Tick

      count = (count + 1) Mod images.Length ' increment counter
      picLogo.Image = images(count) ' display next image
   End Sub ' timer_Tick
End Class ' FrmLogoAnimator

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
