' Fig. 20.34: FrmDisplayTable.vb
' Displays data from a database table in a DataGridView.
Public Class FrmDisplayTable
   ' Click event handler for the Save Button in the 
   ' BindingNavigator saves the changes made to the data
   Private Sub AuthorsBindingNavigatorSaveItem_Click( _
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles AuthorsBindingNavigatorSaveItem.Click

      Me.Validate()
      Me.AuthorsBindingSource.EndEdit()
      Me.AuthorsTableAdapter.Update(Me.BooksDataSet.Authors)
   End Sub ' AuthorsBindingNavigatorSaveItem_Click

   ' loads data into the BooksDataSet.Authors table, 
   ' which is then displayed in the DataGridView
   Private Sub FrmDisplayTable_Load(ByVal sender As System.Object, _
      ByVal e As System.EventArgs) Handles MyBase.Load
      ' TODO: This line of code loads data into the 'BooksDataSet.Authors'
      ' table. You can move, or remove it, as needed.
      Me.AuthorsTableAdapter.Fill(Me.BooksDataSet.Authors)
   End Sub ' FrmDisplayTable_Load
End Class ' FrmDisplayTable

'**************************************************************************
'* (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
'* Pearson Education, Inc. All Rights Reserved.                           *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
